.b-video {
	width: 100%;
	height: auto;
}

.b-video-frame-wrapper {
	position: relative;
	padding-top: 75%;
	
	iframe {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
	}
	
	video {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
	}
}

.b-video-preview {
	background-repeat: no-repeat;
	background-size: contain;
	background-color: colors/$deco1;
	position: relative;
	
	.bo-meta-label {
		position: absolute;
	    top: 50%;
	    left: 50%;
	    transform: translate(-50%,-50%);
	}
}